cancel
Showing results for 
Search instead for 
Did you mean: 

STEVAL-MKBOXPRO and BlueST-SDK

francus76
Associate

Hi everybody, I'm a newby of ST development boards and I'm trying to use the BlueST-SDK for Python to get the data sent by the STEVAL-MKBOXPRO on the BLE interface. The python library is running on a Raspberry Pi 4 Model B, hosting on it a Python installation with version 3.9 or 3.10 (depending on the Operating System I tried to install on the Raspberry - Raspbian or Ubuntu). The problem is that the BlueST SDK which on its turn uses the bluepy library is declared to work with Python 3.5. Indeed using Python 3.9 or 3.10 and running one of the examples provided with the SDK, no BLE node is discovered, even if the STEVAL-MKBOXPRO is active. The MKBOXPRO is correctly detected by the command:

sudo hcitool lescan

 but it is not detected by the BlueST-SDK.

I have then read a post on github where a user indicates that this problem was solved downgrading Python from 3.10 to 3.5. I have then configured another alternative Python installation on the Raspberry, namely version 3.5.4.

I started then the BlueST examples invoking the specific Python version (sudo python3.5 example_ble_1.py) but the software still continues to not detect my board. So the question is: is the BlueST-SDK compatible also with the STEVAL-MKBOXPRO? Is there a specific version of Python to be used?

Is there any configuration to be done not explicitly mentioned in the documentation?

I have seen this "pairing" described as a simple thing with the non Professionale STEVAL-MKSBOX1V1, but I am almost becoming crazy with the PRO version.

Thanks in advance for anyone who could give me a hint.

0 REPLIES 0